package com.cim.idm.wmspackage.material.oqa.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;
/**
 * 质检分批数量
 * @author cim3
 *
 */
public class MaterialOQANums extends FieldAccessor implements DataInfo<MaterialOQANumsKey> {

	private MaterialOQANumsKey key;
	
	private double materialOQANum;
 	
	@UserColumnMark
	private String userColumn1;
	
	public MaterialOQANums(){}
	public MaterialOQANums(String site,String materialSpecName, String supplierNo, double materialOQANum) {
		this.key = new MaterialOQANumsKey(site,materialSpecName,supplierNo);
		this.materialOQANum = materialOQANum;
	}

	@Override
	public MaterialOQANumsKey getKey() {
		return key;
	}

	@Override
	public void setKey(MaterialOQANumsKey keyInfo) {
		this.key = keyInfo;
	}


	public String getUserColumn1() {
		return userColumn1;
	}
	public void setUserColumn1(String userColumn1) {
		this.userColumn1 = userColumn1;
	}
	public double getMaterialOQANum() {
		return materialOQANum;
	}
	public void setMaterialOQANum(double materialOQANum) {
		this.materialOQANum = materialOQANum;
	}

	
	
}
